View Issue Details

IDProjectCategoryView StatusLast Update
0003377unrealircdpublic2008-12-21 13:39
ReporterStealthAssigned Tosyzop 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Platform*OS*OS Version*
Product Version3.2.6 
Target VersionFixed in Version3.2.8 
Summary0003377: Z:Line exceptions are not entirely effective
DescriptionWhen proper z:line exceptions are in the conf, users will not be disconnected when a z:line is set, but will be unable to reconnect until the z:line is removed.

This was only tested with local z:lines, conf section is in additional info.
Additional Information#ban exceptions for localhost
except ban { mask *@127.0.0.*; };
except tkl { mask *@127.0.0.*; type { gline; gzline; shun; }; };
TagsNo tags attached.
3rd party modules

Activities

Stealth

2007-06-03 12:42

reporter   ~0014262

Z:Line should be part of except ban, otherwise I'd be disconnected when setting that Z:Line

JasonTik

2007-06-03 13:14

reporter   ~0014263

I do now recall being irritated at this back when I actually cared about exceptions.

stskeeps

2007-06-04 10:49

reporter   ~0014268

I admit it's irritating. Any hints on how you want it fixed?

Stealth

2007-06-04 22:35

reporter   ~0014271

> Any hints on how you want it fixed?

When a zline is set, a user with an exception IP should not be disconnected, or denied a new connection (can IRC as usual on that server)

syzop

2008-12-21 13:38

administrator   ~0015467

fixed in .721:
- except ban { } is now also effective against Z:lines. It already protected
  when the user was connected, but not once he/she tried to reconnect, this
  is now fixed. Reported several times, last by Stealth in 0003377.

Issue History

Date Modified Username Field Change
2007-06-03 12:32 Stealth New Issue
2007-06-03 12:42 Stealth Note Added: 0014262
2007-06-03 13:14 JasonTik Note Added: 0014263
2007-06-04 10:49 stskeeps Note Added: 0014268
2007-06-04 10:49 stskeeps Status new => acknowledged
2007-06-04 22:35 Stealth Note Added: 0014271
2008-12-21 13:38 syzop QA => Not touched yet by developer
2008-12-21 13:38 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2008-12-21 13:38 syzop Status acknowledged => resolved
2008-12-21 13:38 syzop Fixed in Version => 3.2.8
2008-12-21 13:38 syzop Resolution open => fixed
2008-12-21 13:38 syzop Assigned To => syzop
2008-12-21 13:38 syzop Note Added: 0015467